#!/usr/bin/env bash

script_dir="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"

translations_dir="$script_dir/../src/kiosk/translations"

# Compile each .ts file in the directory
for ts_file in "$translations_dir"/*.ts; do
    lrelease-qt6 "$ts_file"
done

echo "All translations have been compiled"
